Bug 115948 - [PATCH] Too small buffer allocated, leads to crashes
Summary: [PATCH] Too small buffer allocated, leads to crashes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-17 11:21 UTC by Miloslav Trmac
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-02 14:53:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
As promised. (783 bytes, patch)
2004-02-17 11:22 UTC, Miloslav Trmac
no flags Details | Diff

Description Miloslav Trmac 2004-02-17 11:21:58 UTC
Description of problem:
The attached patch fixes an off-by-one error allocating a buffer.
In the FC1 anaconda this error results in crashes in the loader (in
the gunzip processes) when uname is "2.4.22-1.1.1.1.nptlBOOT".

Version-Release number of selected component (if applicable):
anaconda-9.91-0.20040212195024

Comment 1 Miloslav Trmac 2004-02-17 11:22:51 UTC
Created attachment 97736 [details]
As promised.

Comment 2 Jeremy Katz 2004-02-17 17:11:25 UTC
Fixed in CVS

Comment 3 Miloslav Trmac 2004-03-02 14:53:58 UTC
Thanks.


Note You need to log in before you can comment on or make changes to this bug.